*,
*::before,
*::after {
  box-sizing: border-box;
}
.alert-warning-cab {
    color: #856404;
    background-color: #fff3cd;
    border-color: #ffeeba;
    top: 79px;
    right: 0;
    max-width: calc(100% - 200px);
    width: 100%;
    position: relative;
    margin-left: auto;
}

.alert-success-cab {
    color: #0f4900;
    background: #00ab0d45;
    border-color: #00ab0d45;
    top: 79px;
    right: 0;
    max-width: calc(100% - 200px);
    width: 100%;
    position: relative;
    margin-left: auto;
}

.alert-danger-cab {
    color: #1F2D3D;
    background: #ff001829;
    border-color: #ff001829;
    top: 79px;
    right: 0;
    max-width: calc(100% - 200px);
    width: 100%;
    position: relative;
    margin-left: auto;
}

.color-name-sidebarShow{
    font-weight: bold;
    color: rgb(245, 178, 64);
}
.form-control-cab {
    display: block;
    width: 100%;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.5;
    color: #3e515b;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #c2cfd6;
    border-radius: 5px;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out; 
}
.form-1 {
    border-width: 0.7px;
    border-color: aliceblue;
    border-style: solid;
    margin-bottom: 30px;
    border-radius: 10px;
    box-shadow: 2px 2px 5px 1px #a4b5c3;
}

.panel-title::after {
    content: "\f107";
    color: #8e8e8e;
    top: 10px;
    right: 45px;
    position: absolute;
    font-family: "FontAwesome";
    font-weight: bold;
    font-size: 25px;
    margin-top: 30px;
}

.panel-title[aria-expanded="true"]::after {
    content: "\f106";
}

/* -------------------------CSS COLOR TAB BUTTON ----------------------------------- */
.btn-4 {
    background-image: linear-gradient(to right, #a1c4fd 0%, #c2e9fb 51%, #a1c4fd 100%);
  }

.btn-cab {
  flex: 1 1 auto;
  margin: 10px;
  padding: 30px;
  /* text-align: center; */
  /* text-transform: uppercase; */
  transition: 0.5s;
  background-size: 200% auto;
  color: white;
 /* text-shadow: 0px 0px 10px rgba(0,0,0,0.2);*/
  box-shadow: 0 0 20px #eee;
  border-radius: 10px;
 }

 .btn-cab:hover {
    background-position: right center; /* change the direction of the change here */
  }

  div-cab {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    margin: 20px auto;
    width: 250px;
    height: 250px;
    background: white;
    border-radius: 75px;
    /* font-family: 'Montserrat', sans-serif; */
    font-size: 20px;
    font-weight: lighter;
    letter-spacing: 0.8px;
    transition: 1s box-shadow;
    box-shadow: 0 5px 35px 0px rgba(0,0,0,.1);
  }
  
  div-cab:hover {
    box-shadow: 0 5px 35px 0px rgba(0,0,0,.1);
  }
  
  div-cab:hover::before, div-cab:hover::after {
    display: block;
    content: '';
    position: absolute;
    width: 190px;
    height: 180px;
    background: #a1c4fd;
    border-radius: 75px;
    z-index: -1;
    animation: 1s clockwise infinite;
    box-shadow: 0 5px 35px 0px rgba(0,0,0,.1);
  }
  
  div-cab:hover:after {
    background: #c2e9fb;
    animation: 2s counterclockwise infinite;
  }
  
  @keyframes clockwise {
    0% {
      top: -5px;
      left: 0;
    }
    12% {
      top: -2px;
      left: 2px;
    }
    25% {
      top: 0;
      left: 5px;    
    }
    37% {
      top: 2px;
      left: 2px;
    }
    50% {
      top: 5px;
      left: 0;    
    }
    62% {
      top: 2px;
      left: -2px;
    }
    75% {
      top: 0;
      left: -5px;
    }
    87% {
      top: -2px;
      left: -2px;
    }
    100% {
      top: -5px;
      left: 0;    
    }
  }
  
  @keyframes counterclockwise {
    0% {
      top: -5px;
      right: 0;
    }
    12% {
      top: -2px;
      right: 2px;
    }
    25% {
      top: 0;
      right: 5px;    
    }
    37% {
      top: 2px;
      right: 2px;
    }
    50% {
      top: 5px;
      right: 0;    
    }
    62% {
      top: 2px;
      right: -2px;
    }
    75% {
      top: 0;
      right: -5px;
    }
    87% {
      top: -2px;
      right: -2px;
    }
    100% {
      top: -5px;
      right: 0;    
    }
  }

.cab-card-profile{
  box-shadow: 2px 2px 5px 1px #a4b5c3;
}

.card-primary-cabProfile.card-outline-cabProfile {
  border-top: 3px solid #17a2b87a;
}
  

/* ------- Alert --------- */
.swal-text{
  text-align: center;
}
.swal-footer{
  text-align: center;
}
.model-Head-cab2{
  background-color: #f8f9fa;
}